Jump to content
The simFlight Network Forums

Bring tears to a glass eye!!


Recommended Posts

Hello All.

Just a couple of days ago I posted for the same reason but it became obvious that I did'nt put enough info in, so here goes again.

I have just bought FSFlying School v1.9.2. for FSX. It contains a FSUIPC v 4.28. When I click on FSUIPC two screens come into view. The back one says "looking in registry for flt sim X install path H_KEY_LOCAL_MACHINE" etc, and that's about all I can get from it as the other smaller screen blocks it out and this smaller screen says "Your FSX installation is incorrect ! The version of simconnect installed will not load FSUIPC. You may need to repair the FSX installation to rectify this first"

I uninstalled my FSX program and a couple of add-ons that I had.

I carefully reinstalled everything again but alas I get exactly the same reply. I am not computer literate, I'm a pensioner and getting on in years and computers are very new to me but I think I've reinstalled everything right.

Any help will really be appreciated.

Jim.

New Zealand.

Link to comment
Share on other sites

I have just bought FSFlying School v1.9.2. for FSX. It contains a FSUIPC v 4.28. When I click on FSUIPC two screens come into view.

You "click on FSUIPC"? Are you sure that's not "Install FSUIPC4"? FSUIPC itself is a DLL, not an executable.

I don't know "flying School" but if they have atheir own installer you may need to check with their support.

The current supported version of FSUIPC is 4.30 which you can get from http://www.schiratti.com/dowson

The back one says "looking in registry for flt sim X install path H_KEY_LOCAL_MACHINE" etc, and that's about all I can get from it as the other smaller screen blocks it out and this smaller screen says "Your FSX installation is incorrect ! The version of simconnect installed will not load FSUIPC. You may need to repair the FSX installation to rectify this first"

Ah, that will be from the FSUIPC4 Installer. If you look more closely (everything is actually in English) you will see that the "front" window is an error message box, and the "rear" one is a progress Log file. You can view the complete Log file in the FSX Modules folder. It is called "FSUIPC4 Install.Log".

Don't FSFlying School provide the FSUIPC4 User Guide in their package? It will be found in the FSX Modules folder, but they most certainly should be giving you clearer instructions than those you appear to have received! :-(

I carefully reinstalled everything again but alas I get exactly the same reply. I am not computer literate, I'm a pensioner and getting on in years

Aren't we all? :-( I "retired" a few years ago, and I'm "officially" a pensioner from my 65th birthday next month. I don't really think age is relevant to this, though!

Unfortunately you seem to have somehow got the installation of FSX screwed up. I don't know how it happens but it certainly seems to occur to a minority of users -- about 2 a week reporting here. Lots of complaints about this have been made to Microsoft, and indeed you may need their assistance to resolve it, especially if you have the misfortune to be using Vista rather than Windows XP.

Anyway, all I can do here is repeat my explanation from another thread here, posted yesterday:

The error you have is that the version of SimConnect which is needed to load FSUIPC4 (and most, though not all, other SimConnect applications) is either not installed or is corrupted, as Windows fails to match it to the Installer's checking. It uses a set of "manifests" -- data declaring versions -- to determine what "side-by-side" versions of SimConnect are installed and working. It does this so that it can configure FSUIPC4's run-time capabilities -- more can be done with SP2/Acceleration, less with SP1, and less still with only the original base version. However, the last is always needed and expected, as it is responsible for loading the DLL in order for it to run.

You haven't shown me the Install Log, so I cannot tell if you've tried installing FSX SP1 or Acceleration or SP2, but even if you have I'm afraid that its version of SimConnect, even if working, is insufficient. You must always have the full SimConnect version which was installed when you installed FSX from the DVD.

So, you have a corrupted installation of FSX. You have already tried uninstalling FSX itself and re-installing it. This didn't work (as apparently it may not do -- if the Installer thinks SimConnect is already installed it fails to uninstall it or reinstall it, so it never gets sorted).

So, the only other recourse I'm aware of is rather more complex, and is detailed in the "FSX Help" Announcement above --- the part which tells you how to repair just the SimConnect installation. However, this is apparently not so easy on Vista (if you are running XP it should be easy enough). You may also first wish to visit Microsoft's own support website and read the FAQs they provide.

Regards

Pete

Link to comment
Share on other sites

Kia Ora, Hello Peter.

Thank you for a very quick reply and thank you too for making such a valuable tool and in most cases free too.

I'm still bumbling about and trying to get FSFlying School to work as it looks to be a very handy weapon to help you fly correctly. Well I went to where it is installed C:\ Program Files\ FSFlyingSchool. The only mention of FSUIPC was a .dll file which had version 3.7.0.0. It states in the manual of FSFS that it must have v4 and over for FSX which is what I have. Would I have stumbled over something here? I just wish I knew what I was talking about.

Haere Ra, Bye for now.

Jim.

Link to comment
Share on other sites

I'm still bumbling about and trying to get FSFlying School to work as it looks to be a very handy weapon to help you fly correctly. Well I went to where it is installed C:\ Program Files\ FSFlyingSchool. The only mention of FSUIPC was a .dll file which had version 3.7.0.0. It states in the manual of FSFS that it must have v4 and over for FSX which is what I have. Would I have stumbled over something here? I just wish I knew what I was talking about.

Sorry, what is the question you are asking me? I'm not clear what you mean by "would I have stumbled over something here?" so I have no idea how to answer this, the only question I see.

If it is just that you are confused over version numbers, all version 3.xx FSUIPC's are for FS9 and before. For FSX you must install FSUIPC4. I have no idea what that "FSFlyingSchool" folder is for, but if it talks about or includes FSUIPC version 3.70 it is pretty old -- 3.70 was released in July 2006 and was superseded by 3.71 in November 2006.

All products which include a copy of FSUIPC are supposed to either provide the full package, including documentation, or at minimum a reference to where to get updates and the full package including documentation -- i.e. to http://www.schiratti.com/dowson

Regards

Pete

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.